<?php  

if(get_theme_mod('gallery_section_disable') != 'on' ){ ?>  
	<?php 
		if( get_theme_mod('secgalleryTpadding',true) ) {
			$secgalleryTpadding = 'padding-top:'.esc_attr(get_theme_mod('secgalleryTpadding')).';';
		}
		if( get_theme_mod('secgalleryBpadding',true) ) {
			$secgalleryBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('secgalleryBpadding')).';';
		}

	?>		

	<section id="gallery" class="area-inner" style="<?php echo esc_attr($secgalleryTpadding); ?>" "<?php echo esc_attr($secgalleryBpadding); ?>">
		<div class="container"> 
		<?php

			$gallery_page_maintitle = get_theme_mod('gallery_page_maintitle', 'Gallery');
			
		?>
			<div class="justify-content-center">
			<?php if($gallery_page_maintitle ){ ?>
			  	<div class="section-title">
			   		<h2><?php echo ($gallery_page_maintitle);  ?></h2> 
		        
		      	</div>
		    <?php }?>
			</div>
		
		<?php
			$gallery_page_id = get_theme_mod('gallery_page');	
		?>
			<div class="gallery-main-box">
				<div class="row">
					<!-- <div class="ht-team-member-wrap ht-clearfix"> -->
					<?php 
					$showStatic = true;
					$cols = get_theme_mod('gallery_npp_count', 5);
					$cols++;
					switch($cols){
						case 1:
						$colCls = 'col-md-12 col-sm-12';
						break;
						case 2:	
						$colCls = 'col-md-6 col-sm-6';
						break;
						case 3:
						case 5:
						case 6:
						case 9:
						case 11:
						$colCls = 'col-md-4 col-sm-6';
						break;
						default: 
						$colCls = 'col-md-3 col-sm-6';
						break;
					}
					for( $i = 1; $i <= $cols; $i++ ){
						$gallery_page_id = get_theme_mod('gallery_page'.$i); 
						$gallery_page_icon = get_theme_mod('gallery_page_icon'.$i);
						if($gallery_page_id){
							$showStatic = false;
							echo galleryShortCode($gallery_page_id, $isCustomizer=true, $i);
						}
					}

					$args = array(
						'post_type' => 'our-gallery',
						'post_status' => 'publish'
					);
					$new = new WP_Query($args); 
					$i=1;
					if($showStatic == true){
						while ( $new->have_posts() ){
							$new->the_post(); 
							$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'medium_large' );
							if(has_post_thumbnail()) { $thumb_url = $thumb['0']; }
							$url = $thumb['0'];?>
								
						<div class="<?php echo $colCls; ?> wow zoomIn">
							<div class="lz-gallery-images">
								<a class="group1" href="<?php echo esc_url($thumb_url); ?>" title="<?php the_title(); ?>">
									<figure class="spa-gall">
										<img class="secondry-bg img-responsive" src="<?php echo esc_url($thumb_url); ?>" alt="<?php the_title(); ?>" />
										<div class="ovlay"></div>
										<div class="over-text">
											<h3>Wedding Dinner</h3>
										</div>

										<div class="gall-icn">
				                            <i class="fa fa-search-plus" aria-hidden="true"></i>
				                        </div>
									</figure>
								</a>
								<div class="clearfix"></div>
							</div>
						</div> 
							<?php 
							$i++; } wp_reset_query();
						} ?>

					</div>
				</div>			
			</div> 
			<div class="clearfix"></div>
		</section>
	<?php }

